Subject: Re: [Ntp] Splitting the Roughtime draft?

From: Watson Ladd <[email-masked]>
Date: Tue, 2 Feb 2021 08:56:19 -0800

On Sun, Jan 31, 2021 at 3:30 PM Hal Murray <[email-masked]> wrote:
>
>
> [email-masked] said:
> >> Without a valid key, you can't verify that message so bad guys can forge
> one.
> >> That seems like a nasty complication.  Do you want to go down that path?
> > I miswrote: It would of course be signed by the key involved.
>
> It's still an additional complication to analyze.
>
> You have to handle the case of bad-guy has a stolen key so now he can forge
> responses with bogus time.  How does being able to respond with key-invalid
> help things and is that worth the complexity of discussing key-invalid?

Bogus time leads to inconsistencies which leads to distrust.

You don't respond with it but publish it to indicate that you want to
revoke the key, akin to a PGP revocation request.

The reason it exists in the same format is to avoid cross-protocol attacks.

>
>
>
> --
> These are my opinions.  I hate spam.
>
>
>

--
Astra mortemque praestare gradatim